最新消息:

yum --showduplicates 介绍和使用方法

Linux运维 大步 786浏览 0评论

yum有很多参数和插件可以用,这里我介绍下yum  --showduplicates命令的使用方法,这个参数对于我们来说十分有用。尤其是当你遇到版本不匹配兼容、软件依赖问题,就可以使用这个命令,找到你要 的软件版本。

yum相关文章:

yum 命令跳过特定(指定)软件包升级方法

用exclude参数(禁止)排除指定软件包被yum升级

CentOS / RHEL:yum升级时锁定特定软件版本

yum升级中锁定指定软件版本禁止其升级(手动)

yum使用yum-plugin-security插件安全性升级

yum安装指定(特定)版本(旧版本)软件包的方法

 

假设这里需要为php找到一个特定版本的pcre,输入:

#yum search --showduplicates pcre

则会用pcre这个关键词去yum 源  中搜索匹配的软件包

输出:

Loaded plugins: fastestmirror, versionlock

Loading mirror speeds from cached hostfile

* base: mirrors.usc.edu

* extras: mirror.web-ster.com

* updates: mirror.hmc.edu

Reading version lock configuration

=========================== Matched: pcre ======================

pcre-6.6-9.el5.i386 : Perl-compatible regular expression library

pcre-6.6-9.el5.i386 : Perl-compatible regular expression library

pcre-devel-6.6-9.el5.i386 : Development files for pcre

根据输出的信息,找到自己要的版本的完整名字,然后用yum安装即可

 

当然,这个用  yum search –showduplicates ,输出的包太多,如果不是很明确目标的话,根本无法确定哪个包是我们可以用的。所以,可以用下面命令:

# yum --showduplicates list php-gd

输出:

Loaded plugins: fastestmirror, versionlock

Loading mirror speeds from cached hostfile

* base: mirrors.usc.edu

* extras: mirror.web-ster.com

* updates: mirror.hmc.edu

Reading version lock configuration

Available Packages          //可用的包

php-gd.i386                  5.1.6-40.el5_9                    base

php-gd.i386                  5.1.6-43.el5_10                   update

 

下面对比下加available和不加的区别,这里查看可用的pcre,先输入:

# yum --showduplicates list available pcre    //查看可用的pcre

输出为:

Loaded plugins: fastestmirror, versionlock
Loading mirror speeds from cached hostfile
* base: mirrors.usc.edu
* extras: mirror.keystealth.org
* updates: mirror.hmc.edu
Reading version lock configuration
Available Packages
pcre.i386                        6.6-9.el5                        base

 

去掉available,输入:

# yum   --showduplicates  list  pcre

 

输出:

Loaded plugins: fastestmirror, versionlock

Loading mirror speeds from cached hostfile

* base: mirrors.usc.edu

* extras: mirror.web-ster.com

* updates: mirror.hmc.edu

Reading version lock configuration

Installed Packages

pcre.i386                     6.6-9.el5                      installed

Available Packages

pcre.i386                     6.6-9.el5                      base

 

是不是多了installed   packages 行,不过如果你是源码安装,而非rpm或yum安装的 ,则不会显示这行的。

###################################################################

文章更新

上面的命令,可以直接用

#yum  list  软件名

代替使用。

参见另外一篇文章《yum安装指定(特定)版本(旧版本)软件包的方法

转载请注明:大步's Blog » yum --showduplicates 介绍和使用方法

SiteMap